Bug 191769 - sysutils/syslog-ng: Build (Linker and configure) failures with and without SPOOF option
Summary: sysutils/syslog-ng: Build (Linker and configure) failures with and without SP...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-09 14:31 UTC by paul
Modified: 2014-07-27 14:41 UTC (History)
4 users (show)

See Also:


Attachments
Test patch (454 bytes, patch)
2014-07-12 07:22 UTC, Cy Schubert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description paul 2014-07-09 14:31:48 UTC
As the port currently stands, sysutils/syslog-ng does not build for me.  With the default config options, it fails like this:

  ...

    CC       modules/dbparser/modules_dbparser_libdbparser_la-timerwheel.lo
    CC       modules/dbparser/modules_dbparser_libdbparser_la-patternize.lo
    CCLD     modules/dbparser/libdbparser.la
    CC       modules/tfgeoip/modules_tfgeoip_libtfgeoip_la-tfgeoip.lo
    CCLD     modules/tfgeoip/libtfgeoip.la
  /usr/bin/ld: cannot find -lGeoIP
  cc: error: linker command failed with exit code 1 (use -v to see invocation)
  gmake[4]: *** [modules/tfgeoip/libtfgeoip.la] Error 1
  gmake[3]: *** [all-recursive] Error 1
  gmake[2]: *** [all] Error 2
  gmake[2]: Leaving directory `/usr/ports/sysutils/syslog-ng/work/syslog-ng-3.5.4.1'
  *** Error code 1

However, I am attepmting to build it without SPOOF and I get this:

  ...
  checking for LIBNET... yes
  checking libesmtp.h usability... yes
  checking libesmtp.h presence... yes
  checking for libesmtp.h... yes
  checking for HIREDIS... no
  checking for HIREDIS... no
  checking hiredis/hiredis.h usability... no
  checking hiredis/hiredis.h presence... no
  checking for hiredis/hiredis.h... no
  configure: error: libHIREDIS not found
  ===>  Script "configure" failed unexpectedly.
  Please report the problem to cy@FreeBSD.org [maintainer] and attach the
  "/usr/ports/sysutils/syslog-ng/work/syslog-ng-3.5.4.1/config.log" including
  the output of the failure of your make command. Also, it might be a good idea
  to provide an overview of all packages installed on your system (e.g. a
  /usr/local/sbin/pkg-static info -g -Ea).
  *** Error code 1


In both cases, the problem seems to be that the port is not looking in ${LOCALBASE} for includes and libraries.

How-To-Repeat:
Attempt to build sysutils/syslog-ng with various combinations of options.

Fix:
sysutils/syslog-ng needs to look in ${LOCALBASE} for includes and libraries:


% diff -c Makefile.orig Makefile
*** Makefile.orig       Wed Jul  9 14:15:47 2014
--- Makefile    Wed Jul  9 14:16:58 2014
***************
*** 138,143 ****
--- 138,146 ----
  CONFIGURE_ARGS+=        --disable-json
  .endif
  
+ CFLAGS+=              -I${LOCALBASE}/include
+ LDFLAGS+=             -L${LOCALBASE}/lib
+ 
  .if ${OSVERSION} >= 900034
  CONFIGURE_ARGS+=        --disable-linux-caps
  .endif
Comment 1 Alexander Borg 2014-07-11 08:34:46 UTC
I am hitting the exact same bug.
Comment 2 Cy Schubert freebsd_committer 2014-07-11 16:20:16 UTC
I'll take a look and check with our Balabit upline as they forward the ports to me.
Comment 3 Cy Schubert freebsd_committer 2014-07-12 07:22:20 UTC
Created attachment 144607 [details]
Test patch

Try this patch.
Comment 4 Alexander Borg 2014-07-12 09:59:54 UTC
It builds fine with that patch.

Thanks Cy
Comment 5 jako.andras 2014-07-22 13:03:13 UTC
I found the same problem with the SQL option (-ldbi), and the same solution worked for me.
Comment 6 commit-hook freebsd_committer 2014-07-27 08:09:13 UTC
A commit references this bug:

Author: marino
Date: Sun Jul 27 08:08:15 UTC 2014
New revision: 363019
URL: http://svnweb.freebsd.org/changeset/ports/363019

Log:
  sysutils/syslog-ng: Fix various build and configuration failures

  PR:		191769
  Reported by:	Paul (dokas.name)
  Fixed by:	maintainer (cy@)

Changes:
  head/sysutils/syslog-ng/Makefile
Comment 7 commit-hook freebsd_committer 2014-07-27 14:41:05 UTC
A commit references this bug:

Author: marino
Date: Sun Jul 27 14:40:25 UTC 2014
New revision: 363072
URL: http://svnweb.freebsd.org/changeset/ports/363072

Log:
  sysutils/syslog-ng: Fix jenkin complaints

  The errors reported by jenkins didn't have anything to do with the changes
  mandated by the referenced PR.  Fix pre-existing check-plist and stage-qa
  errors with the use of @sample keyword and install-strip INSTALL_TARGET.
  While here, wrap some lines to respect 80-column terminal limits.

  PR:		191769
  reported by:	jenkins

Changes:
  head/sysutils/syslog-ng/Makefile
  head/sysutils/syslog-ng/pkg-plist